package com.jwipc.sys.logic;

import com.jwipc.page.PageView;
import com.jwipc.sys.dto.MoldFormDTO;
import com.jwipc.sys.dto.MoldMoveDTO;
import com.jwipc.sys.model.param.MoldFormParam;
import com.jwipc.sys.model.query.MoldFormQuery;
import com.jwipc.sys.model.query.MoldMoveQuery;

import java.util.List;

/**
 * @author AL
 * @date 2024/1/29 15:01
 * @desc 模具
 */
public interface MoldMoveLogic {
    PageView findByPage(MoldFormQuery query);

    //PageView moldMoveFindByPage(MoldMoveQuery query);

    MoldMoveDTO getById(Long id);
    MoldMoveDTO moldMoveGetById(Long id);

    void saveOrUpdate(MoldFormParam param);

    void remove(String moldCode);
    void moldMoveRemove(Long moldCode);

    List<MoldFormDTO> listAll();

    void moldMoveSaveOrUpdate(MoldMoveDTO param);
    //List<UserFactoryTreeDTO> getForTree(Long userId);
}
